using System.Collections.Generic;

namespace ADEPT.Core.Lesson;

public class Lesson : ILesson
{
    public string Title { get; set; }
    public string Description { get; set; }
    public List<IPage> Pages { get; set; }
    public object LessonStateMachine { get; set; }
    public void StartLesson()
    {
        throw new System.NotImplementedException();
    }

    public void EndLesson()
    {
        throw new System.NotImplementedException();
    }

    public void AddPage(IPage page)
    {
        throw new System.NotImplementedException();
    }

    public void RemovePage(IPage page)
    {
        throw new System.NotImplementedException();
    }
}